﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierExport";
                    gridLookup.Width = 150;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(300);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridExport" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
         <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtItemNoExport";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.ClientVisible = false;
                    settings.Properties.MaxLength = 10;
                }
            ).GetHtml()
        </td> 
    </tr>
    <tr>
        <td nowrap="nowrap">
            Country
        </td>
        <td style="padding-right:10px;">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SupplierCountryGridLookupExport";
                    gridLookup.Width = Unit.Pixel(50);
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(140);
                    gridLookup.GridProperties.KeyFieldName = "COUNTRY_CD;COUNTRY_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderSupplierCountryGridLookupSuppInfoExport" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "COUNTRY_CD";
                        column.FieldName = "COUNTRY_CD";
                        column.Caption = "Country Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "COUNTRY_NAME";
                        column.FieldName = "COUNTRY_NAME";
                        column.Caption = "Country Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupCountryGridLookupExport"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Major Product";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtMajorProduct";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td> 
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Share Sales (%)";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtShareSales";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                    settings.Number = 0;
                    settings.Properties.MaxLength = 8;
                    settings.Properties.DecimalPlaces = 4;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 100;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Via TMMIN";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtViaTMMIN";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 80;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="3"></td>
        <td style="float:right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveExport";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewExport";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewExport";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewExport";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
